@font-face {
	font-family: "Mother Hen";
	src: url(LT_Funk.otf);
}
@font-face {
	font-family: "Scarefest";
	src: url(wickerman.woff);
}


/* WebKit browsers (Chrome, Edge, Safari) */
.groups::-webkit-scrollbar {
  height: 6px; /* keep the bar's space so drag works */
}



.last_updated {
  color: white !important;
  background: none !important;
  border: none !important;
  box-shadow: none !important;
  font-size: 11px !important;
  padding: 0px !important;
  margin-top: 4px;
  
}


.spacer {
  width: 0px !important;
  min-width: 0px !important;
}
@media (min-width: 800px) and (pointer: fine) {
    
    
    .groups {
        
        	height: 44px;
    }
 .spacer {
 display: none !important;
}
 .groups {
  scrollbar-width: none; /* Firefox */
}
.groups::-webkit-scrollbar {
  display: none; /* Chrome, Edge, Safari */
}
    
}



.error {
    color: red;
    font-family: Mother Hen;
    text-align: center;
    font-size: 25px;
}
.inner-dashboard {
    
    	background-image: url(group_background.png);
	background-size: 1px auto;
}


.availability {
    
        width: 50%;
}

.title-header{
    
     font-family: 'Mother Hen';
     text-align:center;
}
.title-ride {
    
     font-family: 'Mother Hen';
       text-align:center;
}
.title-availability {
    
     font-family: 'Mother Hen';
       text-align:center;
}
 .title-queuetime {
    
     font-family: 'Mother Hen';
       text-align:center;
}
.inner-header {
    
    display: flex;
    justify-content: space-around;
}
.longest-queue {
    
    width:50%;
}
#dashboard {
	width: 100%;
	background-color: #e7daab;
	
	border-spacing: 0;
	border-collapse: collapse;
	
	table-layout: fixed;
}

#dashboard tr:nth-child(odd) {
	background-color: #cfc49a;
}

#dashboard td {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.data { text-align: right; }
h1 {
    
    font-family: 'Mother Hen';
    text-align: center;
    color: white;
    font-weight: 100;
}

h2 {
    margin-top: -15px;
    font-family: 'Mother Hen';
    text-align: center;
    color: white ;
    font-weight: 100;
}

p {
    
    color:white;
    font-size: 18px;
    text-align: center;
}

html {
	/* background-image: url(febht-background.png); */
	background-position: center top;
	background-color: #09103a  ;

	
	font-family: "helvetica neue", helvetica, sans-serif;
}

body {
	position: relative;
	
	
	margin: 20px auto;
	    display: flex;
    flex-direction: column;
   	width: 95%;
	max-width: 500px;
	min-height: calc(100vh - 41px);
}

#logo {
	display: block;
	position: relative;
	
	width: 200px;
	max-width: 80%;
	height: auto;
	
	margin: 0 auto;
}

.frame {
	position: relative;
	
	padding: 9px;
	background-color: #3b2e7b;

	
	border-radius: 6px;
	
	box-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}

.frame::before {
content: "";
	display: block;
	position: absolute;
	left: 7px;
	top: 7px;
	right: 7px;
	bottom: 7px;
	border-radius: 2px;
	pointer-events: none;
}

.groups
{
	background-color: #1f2754;
	 overflow-x: auto;
	 overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
	height: 50px;
}

.groups ul
{
	display: -webkit-box;
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	
	list-style: none;
	
	padding: 0;
	margin: 0;
}

.groups li
{
    
    
     display: flex;
  flex-grow: 1;
  flex-shrink: 0;
  align-items: center;
  min-width: 80px;
  justify-content: center;
    
	position: relative;
	
	margin: 7px 5px;
	padding: 5px;
	height: 20px;
	
	text-align: center;
	
	font-weight: bold;
	color: white;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.5);
	
	border-radius: 5px;
}

.groups li:first-child
{
	margin-left: 7px;
}

.groups li:last-child
{
	margin-right: 7px;
}

.groups li.selected
{
	background-color: rgba(0, 0, 0, 0.35);
	box-shadow: inset 0 3px 6px rgba(0, 0, 0, 0.5);
}

.groups li a
{
	display: block;
 position: relative;

	padding: 4px;
	
/*	line-height: 20px;*/
	
	color: inherit;
	text-decoration: none;
}

#info {
	width: 100%;
	background-color: #1f2754;
	
	border-spacing: 0;
	border-collapse: collapse;
	
	table-layout: fixed;
}

#info tr:nth-child(odd) {
	background-color: #283066;
}

#info td {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


#queue-times {
	width: 100%;
	background-color: #1f2754 ;
	
	border-spacing: 0;
	border-collapse: collapse;
	
	table-layout: fixed;
}

#queue-times tr:nth-child(odd) {
	background-color: #283066;
}

#queue-times td {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


tr {
    display: flex;
    align-items: center;
}



td.loading {
	padding: 40px;
	
	text-align: center;
}

.ride-cell {
	padding: 4px 8px;
	flex-grow: 1;
	font-family: "Mother Hen", sans-serif;
	font-size: 22px;
	color: white;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.25);
}

.cell-skyride {
    white-space: normal !important;
    font-size: 18px !important;
}

.time-cell {
	min-width: max-content;
	
	padding: 8px;
}

.time-cell span {
	display: flex;
	
	flex-direction: row;
	align-items: baseline;
	justify-content: flex-end;
	
	padding: 4px;
	
	
	text-align: center;
	color: white;
	
    background: none;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
	  font-weight: bold;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	gap: 4px;
}

.queue-time-label {
    font-size: 24px;
      font-weight: normal !important;
    font-family: "Mother Hen";
    padding: 0px !important;
}

.queue-time-mins {
    font-size: 14px;
  
    color: white !important;
     padding: 0px !important;
}

.time-cell span.show{
    display: block;
    padding: 0px; 
    font-weight: normal;
    font-size: 24px;
    text-align: right;
    color: #000000;
    font-family: 'Mother Hen';
     background-color: #ffffff00;
    border-radius: 100px;
    
    /* text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25); */
     box-shadow: none; 
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

}

.time-cell span.short {
	color: #79a82f;
}

.time-cell span.medium {
	color: #c77d2e;
}

.time-cell span.long {
	color: #a82f2f;
}

.time-cell span.other {
	color: #000000;
}

.disclaimer {
	font-size: 12px;
	text-align: center;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.5);
	
	color: rgba(255, 255, 255, 1);
}

#lastupdate {
	text-align: center;
	color: white;
	margin: 1em;
	
	font-weight: 300;
}

#loading {
	position: fixed;
	
	bottom: 10px;
	left: 10px;
	right: 10px;
	
	padding: 10px;
	
	background-color: rgba(0, 0, 0, 0.75);
	-webkit-backdrop-filter: blur(10px);
	
	text-align: center;
	text-shadow: 0 0 2px black;
	color: white;
	
	border-radius: 8px;
	
	-webkit-transition: opacity 1s linear;
	-moz-transition: opacity 1s linear;
	-o-transition: opacity 1s linear;
	-ms-transition: opacity 1s linear;
	transition: opacity 1s linear;
}

#text{
	text-align: center;
	color: white;

	font-size: 20px
	font-weight: 300;
}
#warning{
	text-align: center;
	color: red;
font-family: "Mother Hen", sans-serif;
font-size: 40px
	

}

.queue-close {
    
    background-color: transparent !important;
    border-radius: 0  !important;
    text-shadow:none  !important;
    color: white  !important;
    box-shadow: none  !important;
    font-size: 10px  !important;
    height: 7px  !important;
}
.queue_close {
    
    background-color: transparent !important;
    border-radius: 0  !important;
    text-shadow:none  !important;
    color: white  !important;
    box-shadow: none  !important;
    font-size: 10px  !important;
    height: 7px  !important;
}

.list-item {
    margin: 5px 0;
    display: flex;
    background-color: #1b4961;
    color:white;
    border-radius: 4px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
  }
  
  .list-item-container {
    display: flex;
    flex-direction: row;
    height: auto;
    padding: 15px;
    flex-grow: 1;
    margin: 5px;
}

  
  .list-item-inner {
    width: 100%;
    display: flex;
  }
  
  
  
  .list-item-inner-left {
    flex-grow: 1;
    text-align: left;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    justify-content: center;
  }
  
  
  
  .list-item-queue {
    display: flex;
    flex-direction: column;
  }
  
  
  
  .list-item-queuetime-container {
    display: flex;
    flex-direction: column;
    height: 50px;
    align-items: center;
    justify-content: center;
}
  
  
  
  span.list-item-queue-time-text {
    font-size: 21px;
  }
  
  
  span.list-item-queue-time-text-time {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    border-radius: 5px;
    color: white;
    font-size: 24px;
}
  

span.list-item-title {
  font-size: 23px;
  font-family: "Mother Hen";
  line-height: 22px;
}


.short {
    
 background:red;   

}

.list-item-color-left {
  width: 10px;
  height: 70px;
  /* border-top-left-radius: 5px; */

}

span.list-item-sub-text {
    margin-top: 10px;
}

.status-message {
  
    display: block;
    font-family: "helvetica neue", helvetica, sans-serif;;
    font-size: 15px;


    
}

.cell-blank{
    
    
    width: 0px;
}
 span.queue_close.downtime {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-end;
    justify-content: space-evenly;
    height: 50px !important;
    font-size: 13px !important;
    padding: 0;
}
td.time-cell.downtime-cell {
    /* height: 97px; */
}

td.time-cell.downtime-cell {
    padding: 0 8 0 0;
}